
_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;CapMeter.c,37 :: 		void interrupt(){
;CapMeter.c,38 :: 		if(PIR1.TMR2IF){
	BTFSS      PIR1+0, 1
	GOTO       L_interrupt0
;CapMeter.c,39 :: 		TMR2 = TimerValue;     // To create 30 us delay
	MOVF       _TimerValue+0, 0
	MOVWF      TMR2+0
;CapMeter.c,40 :: 		Num ++;
	INCF       _Num+0, 1
	BTFSC      STATUS+0, 2
	INCF       _Num+1, 1
;CapMeter.c,41 :: 		if(Num > 9999) OverRange = 1; // Range is 99.99 uF
	MOVF       _Num+1, 0
	SUBLW      39
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt14
	MOVF       _Num+0, 0
	SUBLW      15
L__interrupt14:
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt1
	MOVLW      1
	MOVWF      _OverRange+0
L_interrupt1:
;CapMeter.c,42 :: 		PIR1.TMR2IF =0; // Clear TMR0 interrupt flag
	BCF        PIR1+0, 1
;CapMeter.c,43 :: 		}
L_interrupt0:
;CapMeter.c,44 :: 		}
L_end_interrupt:
L__interrupt13:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_Display_Cap:

;CapMeter.c,46 :: 		void Display_Cap(unsigned int n){
;CapMeter.c,47 :: 		Capacitance[0] = n/10000 + 48;
	MOVLW      16
	MOVWF      R4+0
	MOVLW      39
	MOVWF      R4+1
	MOVF       FARG_Display_Cap_n+0, 0
	MOVWF      R0+0
	MOVF       FARG_Display_Cap_n+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      48
	ADDWF      R0+0, 0
	MOVWF      _Capacitance+0
;CapMeter.c,48 :: 		Capacitance[1] = (n/1000)%10 + 48;
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	MOVF       FARG_Display_Cap_n+0, 0
	MOVWF      R0+0
	MOVF       FARG_Display_Cap_n+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVLW      48
	ADDWF      R0+0, 0
	MOVWF      _Capacitance+1
;CapMeter.c,49 :: 		Capacitance[3] = (n/100)%10 + 48;
	MOVLW      100
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       FARG_Display_Cap_n+0, 0
	MOVWF      R0+0
	MOVF       FARG_Display_Cap_n+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVLW      48
	ADDWF      R0+0, 0
	MOVWF      _Capacitance+3
;CapMeter.c,50 :: 		Capacitance[4] = (n/10)%10 + 48;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       FARG_Display_Cap_n+0, 0
	MOVWF      R0+0
	MOVF       FARG_Display_Cap_n+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVLW      48
	ADDWF      R0+0, 0
	MOVWF      _Capacitance+4
;CapMeter.c,51 :: 		Capacitance[5] = (T_Value*10)/153 + 48;
	MOVF       _T_Value+0, 0
	MOVWF      R0+0
	MOVF       _T_Value+1, 0
	MOVWF      R0+1
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Mul_16x16_U+0
	MOVLW      153
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      48
	ADDWF      R0+0, 0
	MOVWF      _Capacitance+5
;CapMeter.c,52 :: 		Lcd_Cmd(_Lcd_Clear);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;CapMeter.c,53 :: 		Lcd_Out(1, 1, "C = ");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr1_CapMeter+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;CapMeter.c,54 :: 		Lcd_Out(1, 5, Capacitance);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      5
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Capacitance+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;CapMeter.c,56 :: 		}
L_end_Display_Cap:
	RETURN
; end of _Display_Cap

_reset:

;CapMeter.c,58 :: 		void reset(){
;CapMeter.c,59 :: 		TRISA = 0b00000100;
	MOVLW      4
	MOVWF      TRISA+0
;CapMeter.c,60 :: 		CMCON = 7;
	MOVLW      7
	MOVWF      CMCON+0
;CapMeter.c,61 :: 		RA1_bit = 0;
	BCF        RA1_bit+0, 1
;CapMeter.c,62 :: 		Delay_ms(2000);
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_reset2:
	DECFSZ     R13+0, 1
	GOTO       L_reset2
	DECFSZ     R12+0, 1
	GOTO       L_reset2
	DECFSZ     R11+0, 1
	GOTO       L_reset2
	NOP
	NOP
;CapMeter.c,63 :: 		TRISA = 0b00000110;
	MOVLW      6
	MOVWF      TRISA+0
;CapMeter.c,64 :: 		CMCON = 5;
	MOVLW      5
	MOVWF      CMCON+0
;CapMeter.c,65 :: 		}
L_end_reset:
	RETURN
; end of _reset

_main:

;CapMeter.c,67 :: 		void main(){
;CapMeter.c,70 :: 		TRISB = 0b00000001;
	MOVLW      1
	MOVWF      TRISB+0
;CapMeter.c,71 :: 		PORTB = 0;
	CLRF       PORTB+0
;CapMeter.c,72 :: 		TRISA = 0b00000110;
	MOVLW      6
	MOVWF      TRISA+0
;CapMeter.c,73 :: 		OPTION_REG.T0CS = 0;
	BCF        OPTION_REG+0, 5
;CapMeter.c,74 :: 		INTCON.GIE = 1; //Enable global interrupt
	BSF        INTCON+0, 7
;CapMeter.c,75 :: 		INTCON.PEIE = 1; //Enable peripheral interrupt
	BSF        INTCON+0, 6
;CapMeter.c,78 :: 		PIE1.TMR2IE = 1;  // Enable Timer2 interrupt
	BSF        PIE1+0, 1
;CapMeter.c,79 :: 		T2CON = 0;        // Prescaler 1:1, and Timer2 is off initially
	CLRF       T2CON+0
;CapMeter.c,80 :: 		PIR1.TMR2IF =0;   // Clear int bit
	BCF        PIR1+0, 1
;CapMeter.c,83 :: 		CMCON = 5;        // Independent comparator between RA1 (-) and RA2(+)
	MOVLW      5
	MOVWF      CMCON+0
;CapMeter.c,85 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;CapMeter.c,86 :: 		Lcd_Cmd(_Lcd_Clear);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;CapMeter.c,87 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;CapMeter.c,88 :: 		Lcd_Out(1, 1, message1);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _message1+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;CapMeter.c,89 :: 		Lcd_Out(2, 1, message2);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _message2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;CapMeter.c,90 :: 		delay_ms(2000);
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_main3:
	DECFSZ     R13+0, 1
	GOTO       L_main3
	DECFSZ     R12+0, 1
	GOTO       L_main3
	DECFSZ     R11+0, 1
	GOTO       L_main3
	NOP
	NOP
;CapMeter.c,91 :: 		Lcd_Cmd(_Lcd_Clear);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;CapMeter.c,93 :: 		Lcd_Out(1, 1, "C = ");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr2_CapMeter+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;CapMeter.c,94 :: 		Lcd_Out(1, 5, Capacitance);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      5
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Capacitance+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;CapMeter.c,95 :: 		Va = 0;
	BCF        RA0_bit+0, 0
;CapMeter.c,96 :: 		TimerValue = 110;  // 104 + 6 clock delay on branching
	MOVLW      110
	MOVWF      _TimerValue+0
;CapMeter.c,97 :: 		while(1){
L_main4:
;CapMeter.c,98 :: 		if(!Switch) {
	BTFSC      RB0_bit+0, 0
	GOTO       L_main6
;CapMeter.c,99 :: 		Num = 0;
	CLRF       _Num+0
	CLRF       _Num+1
;CapMeter.c,100 :: 		OverRange =0;
	CLRF       _OverRange+0
;CapMeter.c,101 :: 		Lcd_Cmd(_Lcd_Clear);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;CapMeter.c,102 :: 		Lcd_Out(1, 1, "Testing.");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr3_CapMeter+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;CapMeter.c,103 :: 		Lcd_Out(2, 1, "...");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr4_CapMeter+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;CapMeter.c,104 :: 		TMR2 = TimerValue;       // Initial value of Timer2 for 30us delay
	MOVF       _TimerValue+0, 0
	MOVWF      TMR2+0
;CapMeter.c,105 :: 		Va = 1; //apply voltage
	BSF        RA0_bit+0, 0
;CapMeter.c,106 :: 		T2CON.TMR2ON = 1; // start timer
	BSF        T2CON+0, 2
;CapMeter.c,107 :: 		while(CMCON.C2OUT) {
L_main7:
	BTFSS      CMCON+0, 7
	GOTO       L_main8
;CapMeter.c,108 :: 		if(OverRange) break;
	MOVF       _OverRange+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main9
	GOTO       L_main8
L_main9:
;CapMeter.c,109 :: 		}
	GOTO       L_main7
L_main8:
;CapMeter.c,110 :: 		T2CON.TMR2ON = 0; // stop timer
	BCF        T2CON+0, 2
;CapMeter.c,111 :: 		T_Value = TMR2 - TimerValue;
	MOVF       _TimerValue+0, 0
	SUBWF      TMR2+0, 0
	MOVWF      _T_Value+0
	CLRF       _T_Value+1
	BTFSS      STATUS+0, 0
	DECF       _T_Value+1, 1
;CapMeter.c,112 :: 		Va = 0;
	BCF        RA0_bit+0, 0
;CapMeter.c,114 :: 		if(!OverRange){
	MOVF       _OverRange+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_main10
;CapMeter.c,115 :: 		Display_Cap(Num*10);
	MOVF       _Num+0, 0
	MOVWF      R0+0
	MOVF       _Num+1, 0
	MOVWF      R0+1
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Mul_16x16_U+0
	MOVF       R0+0, 0
	MOVWF      FARG_Display_Cap_n+0
	MOVF       R0+1, 0
	MOVWF      FARG_Display_Cap_n+1
	CALL       _Display_Cap+0
;CapMeter.c,116 :: 		}
	GOTO       L_main11
L_main10:
;CapMeter.c,118 :: 		OverRange = 0;
	CLRF       _OverRange+0
;CapMeter.c,119 :: 		Lcd_Cmd(_Lcd_Clear);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;CapMeter.c,120 :: 		Lcd_Out(1, 1, "Out of Range!");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr5_CapMeter+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;CapMeter.c,121 :: 		}
L_main11:
;CapMeter.c,122 :: 		reset();
	CALL       _reset+0
;CapMeter.c,123 :: 		}
L_main6:
;CapMeter.c,124 :: 		}
	GOTO       L_main4
;CapMeter.c,125 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
